=== examples/domviewer/CMakeLists.txt ===
if(INSTALL_EXAMPLES)
  install( FILES kml-aliases.txt DESTINATION ${KML_EXAMPLES_DIR} COMPONENT Development)
endif()
