=== examples/xsd/CMakeLists.txt ===
if(INSTALL_EXAMPLES)
  install(FILES
    domviewer.py
    DESTINATION examples/xsd) #compile py
endif()
